Name | Type | Default |
disabled
|
boolean
|
false
|
Enables or disables the jqxToolBar and all its tools.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxToolBar, { IToolBarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtoolbar'; class App extends React.PureComponent<{}, IToolBarProps> { private myToolBar = React.createRef<JqxToolBar>(); constructor(props: {}) { super(props); this.state = { tools: 'button | dropdownlist combobox | input', initTools: function (type, index, tool, menuToolIninitialization) { switch (index) { case 0: tool.text( 'Button'); break; case 1: tool.jqxDropDownList({ width: 130, source: [ 'Affogato', 'Breve', 'Cafe', 'Crema'], selectedIndex: 1 }); break; case 2: tool.jqxComboBox({ width: 50, source: [8, 9, 10, 11, 12, 14, 16, 18, 20], selectedIndex: 3 }); break; case 3: tool.jqxInput({ width: 200, placeHolder: 'Type here...' }); break; } } } } public render() { return ( <JqxToolBar ref={this.myToolBar} width={ '70%'} height={35} tools={this.state.tools} initTools={this.state.initTools} disabled={true} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
height
|
string | number
|
35
|
Sets or gets the jqxToolBar's height.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxToolBar, { IToolBarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtoolbar'; class App extends React.PureComponent<{}, IToolBarProps> { private myToolBar = React.createRef<JqxToolBar>(); constructor(props: {}) { super(props); this.state = { tools: 'button | dropdownlist combobox | input', initTools: function (type, index, tool, menuToolIninitialization) { switch (index) { case 0: tool.text( 'Button'); break; case 1: tool.jqxDropDownList({ width: 130, source: [ 'Affogato', 'Breve', 'Cafe', 'Crema'], selectedIndex: 1 }); break; case 2: tool.jqxComboBox({ width: 50, source: [8, 9, 10, 11, 12, 14, 16, 18, 20], selectedIndex: 3 }); break; case 3: tool.jqxInput({ width: 200, placeHolder: 'Type here...' }); break; } } } } public render() { return ( <JqxToolBar ref={this.myToolBar} width={ '70%'} height={35} tools={this.state.tools} initTools={this.state.initTools} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
initTools
|
(type?: string, index?: number, tool?: any, menuToolIninitialization?: boolean) => void
|
null
|
A callback function where settings can be made to the tools specified in the tools property. The initTools callback function is called twice for each tool. On the first call, the settings are applied to the tool as it appears in the toolbar. On the second call, the settings are applied to the tool when it is minimized. This allows the tool to appear differently in both cases if different settings are applied.
If you wish to disable the minimization of a tool, return { minimizable: false } in initTools . If you wish the tool to be minimizable but not to appear in the minimize pop-up menu, return { menuTool: false } . In these cases, there will only be one call of initTools for this tool.
initTools is passed four parameters:
type - the type of the tool, as specified in tools .
index
tool - a jQuery object representing the tool.
menuToolIninitialization - a boolean value, specifying whether initTools is called for the toolbar tool (false ) or the pop-up menu tool (true ).
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxToolBar, { IToolBarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtoolbar'; class App extends React.PureComponent<{}, IToolBarProps> { private myToolBar = React.createRef<JqxToolBar>(); constructor(props: {}) { super(props); this.state = { tools: 'button | dropdownlist combobox | input', initTools: function (type, index, tool, menuToolIninitialization) { switch (index) { case 0: tool.text( 'Button'); break; case 1: tool.jqxDropDownList({ width: 130, source: [ 'Affogato', 'Breve', 'Cafe', 'Crema'], selectedIndex: 1 }); break; case 2: tool.jqxComboBox({ width: 50, source: [8, 9, 10, 11, 12, 14, 16, 18, 20], selectedIndex: 3 }); break; case 3: tool.jqxInput({ width: 200, placeHolder: 'Type here...' }); break; } } } } public render() { return ( <JqxToolBar ref={this.myToolBar} width={ '70%'} height={35} tools={this.state.tools} initTools={this.state.initTools} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
minimizeWidth
|
number
|
200
|
Sets or gets the width of the minimize pop-up menu.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxToolBar, { IToolBarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtoolbar'; class App extends React.PureComponent<{}, IToolBarProps> { private myToolBar = React.createRef<JqxToolBar>(); constructor(props: {}) { super(props); this.state = { tools: 'button | dropdownlist combobox | input', initTools: function (type, index, tool, menuToolIninitialization) { switch (index) { case 0: tool.text( 'Button'); break; case 1: tool.jqxDropDownList({ width: 130, source: [ 'Affogato', 'Breve', 'Cafe', 'Crema'], selectedIndex: 1 }); break; case 2: tool.jqxComboBox({ width: 50, source: [8, 9, 10, 11, 12, 14, 16, 18, 20], selectedIndex: 3 }); break; case 3: tool.jqxInput({ width: 200, placeHolder: 'Type here...' }); break; } } } } public render() { return ( <JqxToolBar ref={this.myToolBar} width={ '70%'} height={35} tools={this.state.tools} initTools={this.state.initTools} minimizeWidth={400} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
minWidth
|
number | string
|
null
|
Sets or gets the minimum width of the jqxToolBar.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxToolBar, { IToolBarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtoolbar'; class App extends React.PureComponent<{}, IToolBarProps> { private myToolBar = React.createRef<JqxToolBar>(); constructor(props: {}) { super(props); this.state = { tools: 'button | dropdownlist combobox | input', initTools: function (type, index, tool, menuToolIninitialization) { switch (index) { case 0: tool.text( 'Button'); break; case 1: tool.jqxDropDownList({ width: 130, source: [ 'Affogato', 'Breve', 'Cafe', 'Crema'], selectedIndex: 1 }); break; case 2: tool.jqxComboBox({ width: 50, source: [8, 9, 10, 11, 12, 14, 16, 18, 20], selectedIndex: 3 }); break; case 3: tool.jqxInput({ width: 200, placeHolder: 'Type here...' }); break; } } } } public render() { return ( <JqxToolBar ref={this.myToolBar} width={ '70%'} height={35} tools={this.state.tools} initTools={this.state.initTools} minWidth={300} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
maxWidth
|
number | string
|
null
|
Sets or gets the maximum width of the jqxToolBar.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxToolBar, { IToolBarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtoolbar'; class App extends React.PureComponent<{}, IToolBarProps> { private myToolBar = React.createRef<JqxToolBar>(); constructor(props: {}) { super(props); this.state = { tools: 'button | dropdownlist combobox | input', initTools: function (type, index, tool, menuToolIninitialization) { switch (index) { case 0: tool.text( 'Button'); break; case 1: tool.jqxDropDownList({ width: 130, source: [ 'Affogato', 'Breve', 'Cafe', 'Crema'], selectedIndex: 1 }); break; case 2: tool.jqxComboBox({ width: 50, source: [8, 9, 10, 11, 12, 14, 16, 18, 20], selectedIndex: 3 }); break; case 3: tool.jqxInput({ width: 200, placeHolder: 'Type here...' }); break; } } } } public render() { return ( <JqxToolBar ref={this.myToolBar} width={ '70%'} height={35} tools={this.state.tools} initTools={this.state.initTools} maxWidth={900} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
rtl
|
boolean
|
false
|
Sets or gets a value indicating whether widget's elements are aligned to support locales using right-to-left fonts.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxToolBar, { IToolBarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtoolbar'; class App extends React.PureComponent<{}, IToolBarProps> { private myToolBar = React.createRef<JqxToolBar>(); constructor(props: {}) { super(props); this.state = { tools: 'button | dropdownlist combobox | input', initTools: function (type, index, tool, menuToolIninitialization) { switch (index) { case 0: tool.text( 'Button'); break; case 1: tool.jqxDropDownList({ width: 130, source: [ 'Affogato', 'Breve', 'Cafe', 'Crema'], selectedIndex: 1 }); break; case 2: tool.jqxComboBox({ width: 50, source: [8, 9, 10, 11, 12, 14, 16, 18, 20], selectedIndex: 3 }); break; case 3: tool.jqxInput({ width: 200, placeHolder: 'Type here...' }); break; } } } } public render() { return ( <JqxToolBar ref={this.myToolBar} width={ '70%'} height={35} tools={this.state.tools} initTools={this.state.initTools} rtl={true} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
tools
|
string | 'button' | 'toggleButton' | 'dropdownlist' | 'combobox' | 'input' | 'custom'
|
''
|
Sets or gets the types of tools in the jqxToolBar in the order they appear. The value of tools is a string representing a list of space-separated tool types. Possible tool types are: 'button', 'toggleButton', 'dropdownlist', 'combobox', 'input' and 'custom'. Separators can be added between tools by inserting a '|'.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxToolBar, { IToolBarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtoolbar'; class App extends React.PureComponent<{}, IToolBarProps> { private myToolBar = React.createRef<JqxToolBar>(); constructor(props: {}) { super(props); this.state = { tools: 'button | dropdownlist combobox | input', initTools: function (type, index, tool, menuToolIninitialization) { switch (index) { case 0: tool.text( 'Button'); break; case 1: tool.jqxDropDownList({ width: 130, source: [ 'Affogato', 'Breve', 'Cafe', 'Crema'], selectedIndex: 1 }); break; case 2: tool.jqxComboBox({ width: 50, source: [8, 9, 10, 11, 12, 14, 16, 18, 20], selectedIndex: 3 }); break; case 3: tool.jqxInput({ width: 200, placeHolder: 'Type here...' }); break; } } } } public render() { return ( <JqxToolBar ref={this.myToolBar} width={ '70%'} height={35} tools={this.state.tools} initTools={this.state.initTools} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
theme
|
string
|
''
|
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxToolBar, { IToolBarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtoolbar'; class App extends React.PureComponent<{}, IToolBarProps> { private myToolBar = React.createRef<JqxToolBar>(); constructor(props: {}) { super(props); this.state = { tools: 'button | dropdownlist combobox | input', initTools: function (type, index, tool, menuToolIninitialization) { switch (index) { case 0: tool.text( 'Button'); break; case 1: tool.jqxDropDownList({ width: 130, source: [ 'Affogato', 'Breve', 'Cafe', 'Crema'], selectedIndex: 1 }); break; case 2: tool.jqxComboBox({ width: 50, source: [8, 9, 10, 11, 12, 14, 16, 18, 20], selectedIndex: 3 }); break; case 3: tool.jqxInput({ width: 200, placeHolder: 'Type here...' }); break; } } } } public render() { return ( <JqxToolBar ref={this.myToolBar} width={ '70%'} height={35} tools={this.state.tools} initTools={this.state.initTools} theme={ 'material'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
width
|
string | number
|
null
|
Sets or gets the jqxToolBar's width.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxToolBar, { IToolBarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtoolbar'; class App extends React.PureComponent<{}, IToolBarProps> { private myToolBar = React.createRef<JqxToolBar>(); constructor(props: {}) { super(props); this.state = { tools: 'button | dropdownlist combobox | input', initTools: function (type, index, tool, menuToolIninitialization) { switch (index) { case 0: tool.text( 'Button'); break; case 1: tool.jqxDropDownList({ width: 130, source: [ 'Affogato', 'Breve', 'Cafe', 'Crema'], selectedIndex: 1 }); break; case 2: tool.jqxComboBox({ width: 50, source: [8, 9, 10, 11, 12, 14, 16, 18, 20], selectedIndex: 3 }); break; case 3: tool.jqxInput({ width: 200, placeHolder: 'Type here...' }); break; } } } } public render() { return ( <JqxToolBar ref={this.myToolBar} width={ '70%'} height={35} tools={this.state.tools} initTools={this.state.initTools} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
|
close
|
Event
|
|
This event is triggered when the minimize pop-up menu is closed.
Code examples
Bind to the close event of jqxToolBar.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxToolBar, { IToolBarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtoolbar'; class App extends React.PureComponent<{}, IToolBarProps> { private myToolBar = React.createRef<JqxToolBar>(); constructor(props: {}) { super(props); this.state = { tools: 'button | dropdownlist combobox | input', initTools: function (type, index, tool, menuToolIninitialization) { switch (index) { case 0: tool.text( 'Button'); break; case 1: tool.jqxDropDownList({ width: 130, source: [ 'Affogato', 'Breve', 'Cafe', 'Crema'], selectedIndex: 1 }); break; case 2: tool.jqxComboBox({ width: 50, source: [8, 9, 10, 11, 12, 14, 16, 18, 20], selectedIndex: 3 }); break; case 3: tool.jqxInput({ width: 200, placeHolder: 'Type here...' }); break; } } } } public componentDidMount(): void { this.myToolBar.current!.setOptions({ width: '30%' }); } public render() { return ( <JqxToolBar ref={this.myToolBar} onClose={this.onClose} width={ '70%'} height={35} tools={this.state.tools} initTools={this.state.initTools} /> ); } private onClose(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
open
|
Event
|
|
This event is triggered when the minimize pop-up menu is opened.
Code examples
Bind to the open event of jqxToolBar.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxToolBar, { IToolBarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtoolbar'; class App extends React.PureComponent<{}, IToolBarProps> { private myToolBar = React.createRef<JqxToolBar>(); constructor(props: {}) { super(props); this.state = { tools: 'button | dropdownlist combobox | input', initTools: function (type, index, tool, menuToolIninitialization) { switch (index) { case 0: tool.text( 'Button'); break; case 1: tool.jqxDropDownList({ width: 130, source: [ 'Affogato', 'Breve', 'Cafe', 'Crema'], selectedIndex: 1 }); break; case 2: tool.jqxComboBox({ width: 50, source: [8, 9, 10, 11, 12, 14, 16, 18, 20], selectedIndex: 3 }); break; case 3: tool.jqxInput({ width: 200, placeHolder: 'Type here...' }); break; } } } } public componentDidMount(): void { this.myToolBar.current!.setOptions({ width: '30%' }); } public render() { return ( <JqxToolBar ref={this.myToolBar} onOpen={this.onOpen} width={ '70%'} height={35} tools={this.state.tools} initTools={this.state.initTools} /> ); } private onOpen(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
|
Name | Arguments | Return Type |
addTool
|
type, position, separator, menuToolIninitialization
|
|
Adds a tool to the jqxToolBar.
List of parameters:
- Type - the new tool's type. Possible values are: 'button', 'toggleButton', 'dropdownlist', 'combobox', 'input' and 'custom'.
- Position - where to insert the tool. Possible values are 'first' and 'last'.
- Separator - whether to include a separator after the new tool. Possible values are true and false.
- Initialization callback function - a function to be called after the new tool has been initialized. It is passed three parameters:
- type - the type of the tool.
- tool - a jQuery object representing the tool.
- menuToolIninitialization - a boolean value, specifying whether the callback is called for the toolbar tool (false) or the pop-up menu tool (true).
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxToolBar, { IToolBarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtoolbar'; class App extends React.PureComponent<{}, IToolBarProps> { private myToolBar = React.createRef<JqxToolBar>(); constructor(props: {}) { super(props); this.state = { tools: 'button | dropdownlist combobox | input', initTools: function (type, index, tool, menuToolIninitialization) { switch (index) { case 0: tool.text( 'Button'); break; case 1: tool.jqxDropDownList({ width: 130, source: [ 'Affogato', 'Breve', 'Cafe', 'Crema'], selectedIndex: 1 }); break; case 2: tool.jqxComboBox({ width: 50, source: [8, 9, 10, 11, 12, 14, 16, 18, 20], selectedIndex: 3 }); break; case 3: tool.jqxInput({ width: 200, placeHolder: 'Type here...' }); break; } } } } public componentDidMount(): void { this.myToolBar.current!.addTool( 'button','last','', function (type, tool, menuToolIninitialization) { tool.text( "New button"); tool.jqxButton({ width: 170 }); }); } public render() { return ( <JqxToolBar ref={this.myToolBar} width={ '70%'} height={35} tools={this.state.tools} initTools={this.state.initTools} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
disableTool
|
index, disable
|
|
Disables a tool.
List of parameters:
- Index - the tool's index.
- Disable - whether to disable or enable the tool. Possible values are true (disables the tool) and false (enables the tool).
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxToolBar, { IToolBarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtoolbar'; class App extends React.PureComponent<{}, IToolBarProps> { private myToolBar = React.createRef<JqxToolBar>(); constructor(props: {}) { super(props); this.state = { tools: 'button | dropdownlist combobox | input', initTools: function (type, index, tool, menuToolIninitialization) { switch (index) { case 0: tool.text( 'Button'); break; case 1: tool.jqxDropDownList({ width: 130, source: [ 'Affogato', 'Breve', 'Cafe', 'Crema'], selectedIndex: 1 }); break; case 2: tool.jqxComboBox({ width: 50, source: [8, 9, 10, 11, 12, 14, 16, 18, 20], selectedIndex: 3 }); break; case 3: tool.jqxInput({ width: 200, placeHolder: 'Type here...' }); break; } } } } public componentDidMount(): void { this.myToolBar.current!.disableTool(1,true); } public render() { return ( <JqxToolBar ref={this.myToolBar} width={ '70%'} height={35} tools={this.state.tools} initTools={this.state.initTools} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
destroy
|
None
|
|
Destroys the toolbar and all its tools.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxToolBar, { IToolBarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtoolbar'; class App extends React.PureComponent<{}, IToolBarProps> { private myToolBar = React.createRef<JqxToolBar>(); constructor(props: {}) { super(props); this.state = { tools: 'button | dropdownlist combobox | input', initTools: function (type, index, tool, menuToolIninitialization) { switch (index) { case 0: tool.text( 'Button'); break; case 1: tool.jqxDropDownList({ width: 130, source: [ 'Affogato', 'Breve', 'Cafe', 'Crema'], selectedIndex: 1 }); break; case 2: tool.jqxComboBox({ width: 50, source: [8, 9, 10, 11, 12, 14, 16, 18, 20], selectedIndex: 3 }); break; case 3: tool.jqxInput({ width: 200, placeHolder: 'Type here...' }); break; } } } } public componentDidMount(): void { this.myToolBar.current!.destroy(); } public render() { return ( <JqxToolBar ref={this.myToolBar} width={ '70%'} height={35} tools={this.state.tools} initTools={this.state.initTools} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
destroyTool
|
index
|
|
Destroys a tool.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxToolBar, { IToolBarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtoolbar'; class App extends React.PureComponent<{}, IToolBarProps> { private myToolBar = React.createRef<JqxToolBar>(); constructor(props: {}) { super(props); this.state = { tools: 'button | dropdownlist combobox | input', initTools: function (type, index, tool, menuToolIninitialization) { switch (index) { case 0: tool.text( 'Button'); break; case 1: tool.jqxDropDownList({ width: 130, source: [ 'Affogato', 'Breve', 'Cafe', 'Crema'], selectedIndex: 1 }); break; case 2: tool.jqxComboBox({ width: 50, source: [8, 9, 10, 11, 12, 14, 16, 18, 20], selectedIndex: 3 }); break; case 3: tool.jqxInput({ width: 200, placeHolder: 'Type here...' }); break; } } } } public componentDidMount(): void { this.myToolBar.current!.destroyTool(1); } public render() { return ( <JqxToolBar ref={this.myToolBar} width={ '70%'} height={35} tools={this.state.tools} initTools={this.state.initTools} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
getTools
|
None
|
|
Returns an array of all tools in the jqxToolBar.
Each tool is represented by an object with the following fields:
type - string. Returns the type of the tool.
tool - object. Returns a jQuery object representing the tool.
separatorAfterWidget - boolean. Returns whether there is a separator after the tool.
minimizable - boolean. Returns whether the tool is minimizable.
minimized - boolean. Returns whether the tool is currently minimized.
menuTool - object. Returns a jQuery object representing the minimized tool in the pop-up menu. If the minimized tool is disabled, returns false .
menuSeparator - object. Returns a jQuery object representing the separator after the minimized tool in the pop-up menu. If there is no separator after the tool, returns false .
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxToolBar, { IToolBarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtoolbar'; class App extends React.PureComponent<{}, IToolBarProps> { private myToolBar = React.createRef<JqxToolBar>(); constructor(props: {}) { super(props); this.state = { tools: 'button | dropdownlist combobox | input', initTools: function (type, index, tool, menuToolIninitialization) { switch (index) { case 0: tool.text( 'Button'); break; case 1: tool.jqxDropDownList({ width: 130, source: [ 'Affogato', 'Breve', 'Cafe', 'Crema'], selectedIndex: 1 }); break; case 2: tool.jqxComboBox({ width: 50, source: [8, 9, 10, 11, 12, 14, 16, 18, 20], selectedIndex: 3 }); break; case 3: tool.jqxInput({ width: 200, placeHolder: 'Type here...' }); break; } } } } public componentDidMount(): void { this.myToolBar.current!.getTools(); } public render() { return ( <JqxToolBar ref={this.myToolBar} width={ '70%'} height={35} tools={this.state.tools} initTools={this.state.initTools} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
render
|
None
|
|
Renders the widget.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxToolBar, { IToolBarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtoolbar'; class App extends React.PureComponent<{}, IToolBarProps> { private myToolBar = React.createRef<JqxToolBar>(); constructor(props: {}) { super(props); this.state = { tools: 'button | dropdownlist combobox | input', initTools: function (type, index, tool, menuToolIninitialization) { switch (index) { case 0: tool.text( 'Button'); break; case 1: tool.jqxDropDownList({ width: 130, source: [ 'Affogato', 'Breve', 'Cafe', 'Crema'], selectedIndex: 1 }); break; case 2: tool.jqxComboBox({ width: 50, source: [8, 9, 10, 11, 12, 14, 16, 18, 20], selectedIndex: 3 }); break; case 3: tool.jqxInput({ width: 200, placeHolder: 'Type here...' }); break; } } } } public componentDidMount(): void { this.myToolBar.current!.render(); } public render() { return ( <JqxToolBar ref={this.myToolBar} width={ '70%'} height={35} tools={this.state.tools} initTools={this.state.initTools} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
refresh
|
None
|
|
Refreshes the widget.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxToolBar, { IToolBarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtoolbar'; class App extends React.PureComponent<{}, IToolBarProps> { private myToolBar = React.createRef<JqxToolBar>(); constructor(props: {}) { super(props); this.state = { tools: 'button | dropdownlist combobox | input', initTools: function (type, index, tool, menuToolIninitialization) { switch (index) { case 0: tool.text( 'Button'); break; case 1: tool.jqxDropDownList({ width: 130, source: [ 'Affogato', 'Breve', 'Cafe', 'Crema'], selectedIndex: 1 }); break; case 2: tool.jqxComboBox({ width: 50, source: [8, 9, 10, 11, 12, 14, 16, 18, 20], selectedIndex: 3 }); break; case 3: tool.jqxInput({ width: 200, placeHolder: 'Type here...' }); break; } } } } public componentDidMount(): void { this.myToolBar.current!.refresh(); } public render() { return ( <JqxToolBar ref={this.myToolBar} width={ '70%'} height={35} tools={this.state.tools} initTools={this.state.initTools} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|

Name | Type | Default |
disabled
|
Boolean
|
false
|
Enables or disables the jqxToolBar and all its tools.
<template> <JqxToolBar ref="myToolBar" :width="'70%'" :height="35" :tools="tools" :initTools="initTools" :disabled="true" /> </template>
<script> import JqxToolBar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtoolbar.vue'; export default { components: { JqxToolBar }, data: function () { return { tools: 'button | dropdownlist combobox | input', initTools: function (type, index, tool, menuToolIninitialization) { switch (index) { case 0: tool.text( 'Button'); break; case 1: tool.jqxDropDownList({ width: 130, source: [ 'Affogato', 'Breve', 'Cafe', 'Crema'], selectedIndex: 1 }); break; case 2: tool.jqxComboBox({ width: 50, source: [8, 9, 10, 11, 12, 14, 16, 18, 20], selectedIndex: 3 }); break; case 3: tool.jqxInput({ width: 200, placeHolder: 'Type here...'
|
height
|
Number | String
|
35
|
Sets or gets the jqxToolBar's height.
<template> <JqxToolBar ref="myToolBar" :width="'70%'" :height="35" :tools="tools" :initTools="initTools" /> </template>
<script> import JqxToolBar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtoolbar.vue'; export default { components: { JqxToolBar }, data: function () { return { tools: 'button | dropdownlist combobox | input', initTools: function (type, index, tool, menuToolIninitialization) { switch (index) { case 0: tool.text( 'Button'); break; case 1: tool.jqxDropDownList({ width: 130, source: [ 'Affogato', 'Breve', 'Cafe', 'Crema'], selectedIndex: 1 }); break; case 2: tool.jqxComboBox({ width: 50, source: [8, 9, 10, 11, 12, 14, 16, 18, 20], selectedIndex: 3 }); break; case 3: tool.jqxInput({ width: 200, placeHolder: 'Type here...'
|
initTools
|
Function
|
null
|
A callback function where settings can be made to the tools specified in the tools property. The initTools callback function is called twice for each tool. On the first call, the settings are applied to the tool as it appears in the toolbar. On the second call, the settings are applied to the tool when it is minimized. This allows the tool to appear differently in both cases if different settings are applied.
If you wish to disable the minimization of a tool, return { minimizable: false } in initTools . If you wish the tool to be minimizable but not to appear in the minimize pop-up menu, return { menuTool: false } . In these cases, there will only be one call of initTools for this tool.
initTools is passed four parameters:
type - the type of the tool, as specified in tools .
index
tool - a jQuery object representing the tool.
menuToolIninitialization - a boolean value, specifying whether initTools is called for the toolbar tool (false ) or the pop-up menu tool (true ).
<template> <JqxToolBar ref="myToolBar" :width="'70%'" :height="35" :tools="tools" :initTools="initTools" /> </template>
<script> import JqxToolBar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtoolbar.vue'; export default { components: { JqxToolBar }, data: function () { return { tools: 'button | dropdownlist combobox | input', initTools: function (type, index, tool, menuToolIninitialization) { switch (index) { case 0: tool.text( 'Button'); break; case 1: tool.jqxDropDownList({ width: 130, source: [ 'Affogato', 'Breve', 'Cafe', 'Crema'], selectedIndex: 1 }); break; case 2: tool.jqxComboBox({ width: 50, source: [8, 9, 10, 11, 12, 14, 16, 18, 20], selectedIndex: 3 }); break; case 3: tool.jqxInput({ width: 200, placeHolder: 'Type here...'
|
minimizeWidth
|
Number
|
200
|
Sets or gets the width of the minimize pop-up menu.
<template> <JqxToolBar ref="myToolBar" :width="'70%'" :height="35" :tools="tools" :initTools="initTools" :minimizeWidth="400" /> </template>
<script> import JqxToolBar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtoolbar.vue'; export default { components: { JqxToolBar }, data: function () { return { tools: 'button | dropdownlist combobox | input', initTools: function (type, index, tool, menuToolIninitialization) { switch (index) { case 0: tool.text( 'Button'); break; case 1: tool.jqxDropDownList({ width: 130, source: [ 'Affogato', 'Breve', 'Cafe', 'Crema'], selectedIndex: 1 }); break; case 2: tool.jqxComboBox({ width: 50, source: [8, 9, 10, 11, 12, 14, 16, 18, 20], selectedIndex: 3 }); break; case 3: tool.jqxInput({ width: 200, placeHolder: 'Type here...'
|
minWidth
|
Number
|
null
|
Sets or gets the minimum width of the jqxToolBar.
<template> <JqxToolBar ref="myToolBar" :width="'70%'" :height="35" :tools="tools" :initTools="initTools" :minWidth="300" /> </template>
<script> import JqxToolBar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtoolbar.vue'; export default { components: { JqxToolBar }, data: function () { return { tools: 'button | dropdownlist combobox | input', initTools: function (type, index, tool, menuToolIninitialization) { switch (index) { case 0: tool.text( 'Button'); break; case 1: tool.jqxDropDownList({ width: 130, source: [ 'Affogato', 'Breve', 'Cafe', 'Crema'], selectedIndex: 1 }); break; case 2: tool.jqxComboBox({ width: 50, source: [8, 9, 10, 11, 12, 14, 16, 18, 20], selectedIndex: 3 }); break; case 3: tool.jqxInput({ width: 200, placeHolder: 'Type here...'
|
maxWidth
|
Number
|
null
|
Sets or gets the maximum width of the jqxToolBar.
<template> <JqxToolBar ref="myToolBar" :width="'70%'" :height="35" :tools="tools" :initTools="initTools" :maxWidth="900" /> </template>
<script> import JqxToolBar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtoolbar.vue'; export default { components: { JqxToolBar }, data: function () { return { tools: 'button | dropdownlist combobox | input', initTools: function (type, index, tool, menuToolIninitialization) { switch (index) { case 0: tool.text( 'Button'); break; case 1: tool.jqxDropDownList({ width: 130, source: [ 'Affogato', 'Breve', 'Cafe', 'Crema'], selectedIndex: 1 }); break; case 2: tool.jqxComboBox({ width: 50, source: [8, 9, 10, 11, 12, 14, 16, 18, 20], selectedIndex: 3 }); break; case 3: tool.jqxInput({ width: 200, placeHolder: 'Type here...'
|
rtl
|
Boolean
|
false
|
Sets or gets a value indicating whether widget's elements are aligned to support locales using right-to-left fonts.
<template> <JqxToolBar ref="myToolBar" :width="'70%'" :height="35" :tools="tools" :initTools="initTools" :rtl="true" /> </template>
<script> import JqxToolBar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtoolbar.vue'; export default { components: { JqxToolBar }, data: function () { return { tools: 'button | dropdownlist combobox | input', initTools: function (type, index, tool, menuToolIninitialization) { switch (index) { case 0: tool.text( 'Button'); break; case 1: tool.jqxDropDownList({ width: 130, source: [ 'Affogato', 'Breve', 'Cafe', 'Crema'], selectedIndex: 1 }); break; case 2: tool.jqxComboBox({ width: 50, source: [8, 9, 10, 11, 12, 14, 16, 18, 20], selectedIndex: 3 }); break; case 3: tool.jqxInput({ width: 200, placeHolder: 'Type here...'
|
tools
|
String
|
''
|
Sets or gets the types of tools in the jqxToolBar in the order they appear. The value of tools is a string representing a list of space-separated tool types. Possible tool types are: 'button', 'toggleButton', 'dropdownlist', 'combobox', 'input' and 'custom'. Separators can be added between tools by inserting a '|'.
<template> <JqxToolBar ref="myToolBar" :width="'70%'" :height="35" :tools="tools" :initTools="initTools" /> </template>
<script> import JqxToolBar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtoolbar.vue'; export default { components: { JqxToolBar }, data: function () { return { tools: 'button | dropdownlist combobox | input', initTools: function (type, index, tool, menuToolIninitialization) { switch (index) { case 0: tool.text( 'Button'); break; case 1: tool.jqxDropDownList({ width: 130, source: [ 'Affogato', 'Breve', 'Cafe', 'Crema'], selectedIndex: 1 }); break; case 2: tool.jqxComboBox({ width: 50, source: [8, 9, 10, 11, 12, 14, 16, 18, 20], selectedIndex: 3 }); break; case 3: tool.jqxInput({ width: 200, placeHolder: 'Type here...'
|
theme
|
String
|
''
|
Sets the widget's theme.
<template> <JqxToolBar ref="myToolBar" :width="'70%'" :height="35" :tools="tools" :initTools="initTools" :theme="'material'" /> </template>
<script> import JqxToolBar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtoolbar.vue'; export default { components: { JqxToolBar }, data: function () { return { tools: 'button | dropdownlist combobox | input', initTools: function (type, index, tool, menuToolIninitialization) { switch (index) { case 0: tool.text( 'Button'); break; case 1: tool.jqxDropDownList({ width: 130, source: [ 'Affogato', 'Breve', 'Cafe', 'Crema'], selectedIndex: 1 }); break; case 2: tool.jqxComboBox({ width: 50, source: [8, 9, 10, 11, 12, 14, 16, 18, 20], selectedIndex: 3 }); break; case 3: tool.jqxInput({ width: 200, placeHolder: 'Type here...'
|
width
|
Number | String
|
null
|
Sets or gets the jqxToolBar's width.
<template> <JqxToolBar ref="myToolBar" :width="'70%'" :height="35" :tools="tools" :initTools="initTools" /> </template>
<script> import JqxToolBar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtoolbar.vue'; export default { components: { JqxToolBar }, data: function () { return { tools: 'button | dropdownlist combobox | input', initTools: function (type, index, tool, menuToolIninitialization) { switch (index) { case 0: tool.text( 'Button'); break; case 1: tool.jqxDropDownList({ width: 130, source: [ 'Affogato', 'Breve', 'Cafe', 'Crema'], selectedIndex: 1 }); break; case 2: tool.jqxComboBox({ width: 50, source: [8, 9, 10, 11, 12, 14, 16, 18, 20], selectedIndex: 3 }); break; case 3: tool.jqxInput({ width: 200, placeHolder: 'Type here...'
|
|
close
|
Event
|
|
This event is triggered when the minimize pop-up menu is closed.
Code examples
Bind to the close event of jqxToolBar.
<template> <JqxToolBar ref="myToolBar" @close="onClose($event)" :width="'70%'" :height="35" :tools="tools" :initTools="initTools" /> </template>
<script> import JqxToolBar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtoolbar.vue'; export default { components: { JqxToolBar }, data: function () { return { tools: 'button | dropdownlist combobox | input', initTools: function (type, index, tool, menuToolIninitialization) { switch (index) { case 0: tool.text( 'Button'); break; case 1: tool.jqxDropDownList({ width: 130, source: [ 'Affogato', 'Breve', 'Cafe', 'Crema'], selectedIndex: 1 }); break; case 2: tool.jqxComboBox({ width: 50, source: [8, 9, 10, 11, 12, 14, 16, 18, 20], selectedIndex: 3 }); break; case 3: tool.jqxInput({ width: 200, placeHolder: 'Type here...' }); break; } } } }, mounted: function () { this.$refs.myToolBar.width = '30%'; }, methods: { onClose: function (event) { alert( 'do something...');
|
open
|
Event
|
|
This event is triggered when the minimize pop-up menu is opened.
Code examples
Bind to the open event of jqxToolBar.
<template> <JqxToolBar ref="myToolBar" @open="onOpen($event)" :width="'70%'" :height="35" :tools="tools" :initTools="initTools" /> </template>
<script> import JqxToolBar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtoolbar.vue'; export default { components: { JqxToolBar }, data: function () { return { tools: 'button | dropdownlist combobox | input', initTools: function (type, index, tool, menuToolIninitialization) { switch (index) { case 0: tool.text( 'Button'); break; case 1: tool.jqxDropDownList({ width: 130, source: [ 'Affogato', 'Breve', 'Cafe', 'Crema'], selectedIndex: 1 }); break; case 2: tool.jqxComboBox({ width: 50, source: [8, 9, 10, 11, 12, 14, 16, 18, 20], selectedIndex: 3 }); break; case 3: tool.jqxInput({ width: 200, placeHolder: 'Type here...' }); break; } } } }, mounted: function () { this.$refs.myToolBar.width = '30%'; }, methods: { onOpen: function (event) { alert( 'do something...');
|
|
Name | Arguments | Return Type |
addTool
|
type, position, separator, menuToolIninitialization
|
None
|
Adds a tool to the jqxToolBar.
List of parameters:
- Type - the new tool's type. Possible values are: 'button', 'toggleButton', 'dropdownlist', 'combobox', 'input' and 'custom'.
- Position - where to insert the tool. Possible values are 'first' and 'last'.
- Separator - whether to include a separator after the new tool. Possible values are true and false.
- Initialization callback function - a function to be called after the new tool has been initialized. It is passed three parameters:
- type - the type of the tool.
- tool - a jQuery object representing the tool.
- menuToolIninitialization - a boolean value, specifying whether the callback is called for the toolbar tool (false) or the pop-up menu tool (true).
<template> <JqxToolBar ref="myToolBar" :width="'70%'" :height="35" :tools="tools" :initTools="initTools" /> </template>
<script> import JqxToolBar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtoolbar.vue'; export default { components: { JqxToolBar }, data: function () { return { tools: 'button | dropdownlist combobox | input', initTools: function (type, index, tool, menuToolIninitialization) { switch (index) { case 0: tool.text( 'Button'); break; case 1: tool.jqxDropDownList({ width: 130, source: [ 'Affogato', 'Breve', 'Cafe', 'Crema'], selectedIndex: 1 }); break; case 2: tool.jqxComboBox({ width: 50, source: [8, 9, 10, 11, 12, 14, 16, 18, 20], selectedIndex: 3 }); break; case 3: tool.jqxInput({ width: 200, placeHolder: 'Type here...' }); break; } } } }, mounted: function () { this.$refs.myToolBar.addTool( 'button','last','', function (type, tool, menuToolIninitialization) {
|
disableTool
|
index, disable
|
None
|
Disables a tool.
List of parameters:
- Index - the tool's index.
- Disable - whether to disable or enable the tool. Possible values are true (disables the tool) and false (enables the tool).
<template> <JqxToolBar ref="myToolBar" :width="'70%'" :height="35" :tools="tools" :initTools="initTools" /> </template>
<script> import JqxToolBar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtoolbar.vue'; export default { components: { JqxToolBar }, data: function () { return { tools: 'button | dropdownlist combobox | input', initTools: function (type, index, tool, menuToolIninitialization) { switch (index) { case 0: tool.text( 'Button'); break; case 1: tool.jqxDropDownList({ width: 130, source: [ 'Affogato', 'Breve', 'Cafe', 'Crema'], selectedIndex: 1 }); break; case 2: tool.jqxComboBox({ width: 50, source: [8, 9, 10, 11, 12, 14, 16, 18, 20], selectedIndex: 3 }); break; case 3: tool.jqxInput({ width: 200, placeHolder: 'Type here...' }); break; } } } }, mounted: function () { this.$refs.myToolBar.disableTool(1,true);
|
destroy
|
None
|
None
|
Destroys the toolbar and all its tools.
<template> <JqxToolBar ref="myToolBar" :width="'70%'" :height="35" :tools="tools" :initTools="initTools" /> </template>
<script> import JqxToolBar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtoolbar.vue'; export default { components: { JqxToolBar }, data: function () { return { tools: 'button | dropdownlist combobox | input', initTools: function (type, index, tool, menuToolIninitialization) { switch (index) { case 0: tool.text( 'Button'); break; case 1: tool.jqxDropDownList({ width: 130, source: [ 'Affogato', 'Breve', 'Cafe', 'Crema'], selectedIndex: 1 }); break; case 2: tool.jqxComboBox({ width: 50, source: [8, 9, 10, 11, 12, 14, 16, 18, 20], selectedIndex: 3 }); break; case 3: tool.jqxInput({ width: 200, placeHolder: 'Type here...' }); break; } } } }, mounted: function () { this.$refs.myToolBar.destroy();
|
destroyTool
|
index
|
None
|
Destroys a tool.
<template> <JqxToolBar ref="myToolBar" :width="'70%'" :height="35" :tools="tools" :initTools="initTools" /> </template>
<script> import JqxToolBar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtoolbar.vue'; export default { components: { JqxToolBar }, data: function () { return { tools: 'button | dropdownlist combobox | input', initTools: function (type, index, tool, menuToolIninitialization) { switch (index) { case 0: tool.text( 'Button'); break; case 1: tool.jqxDropDownList({ width: 130, source: [ 'Affogato', 'Breve', 'Cafe', 'Crema'], selectedIndex: 1 }); break; case 2: tool.jqxComboBox({ width: 50, source: [8, 9, 10, 11, 12, 14, 16, 18, 20], selectedIndex: 3 }); break; case 3: tool.jqxInput({ width: 200, placeHolder: 'Type here...' }); break; } } } }, mounted: function () { this.$refs.myToolBar.destroyTool(1);
|
getTools
|
None
|
Array
|
Returns an array of all tools in the jqxToolBar.
Each tool is represented by an object with the following fields:
type - string. Returns the type of the tool.
tool - object. Returns a jQuery object representing the tool.
separatorAfterWidget - boolean. Returns whether there is a separator after the tool.
minimizable - boolean. Returns whether the tool is minimizable.
minimized - boolean. Returns whether the tool is currently minimized.
menuTool - object. Returns a jQuery object representing the minimized tool in the pop-up menu. If the minimized tool is disabled, returns false .
menuSeparator - object. Returns a jQuery object representing the separator after the minimized tool in the pop-up menu. If there is no separator after the tool, returns false .
<template> <JqxToolBar ref="myToolBar" :width="'70%'" :height="35" :tools="tools" :initTools="initTools" /> </template>
<script> import JqxToolBar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtoolbar.vue'; export default { components: { JqxToolBar }, data: function () { return { tools: 'button | dropdownlist combobox | input', initTools: function (type, index, tool, menuToolIninitialization) { switch (index) { case 0: tool.text( 'Button'); break; case 1: tool.jqxDropDownList({ width: 130, source: [ 'Affogato', 'Breve', 'Cafe', 'Crema'], selectedIndex: 1 }); break; case 2: tool.jqxComboBox({ width: 50, source: [8, 9, 10, 11, 12, 14, 16, 18, 20], selectedIndex: 3 }); break; case 3: tool.jqxInput({ width: 200, placeHolder: 'Type here...' }); break; } } } }, mounted: function () { const value = this.$refs.myToolBar.getTools();
|
render
|
None
|
None
|
Renders the widget.
<template> <JqxToolBar ref="myToolBar" :width="'70%'" :height="35" :tools="tools" :initTools="initTools" /> </template>
<script> import JqxToolBar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtoolbar.vue'; export default { components: { JqxToolBar }, data: function () { return { tools: 'button | dropdownlist combobox | input', initTools: function (type, index, tool, menuToolIninitialization) { switch (index) { case 0: tool.text( 'Button'); break; case 1: tool.jqxDropDownList({ width: 130, source: [ 'Affogato', 'Breve', 'Cafe', 'Crema'], selectedIndex: 1 }); break; case 2: tool.jqxComboBox({ width: 50, source: [8, 9, 10, 11, 12, 14, 16, 18, 20], selectedIndex: 3 }); break; case 3: tool.jqxInput({ width: 200, placeHolder: 'Type here...' }); break; } } } }, mounted: function () { this.$refs.myToolBar.render();
|
refresh
|
None
|
None
|
Refreshes the widget.
<template> <JqxToolBar ref="myToolBar" :width="'70%'" :height="35" :tools="tools" :initTools="initTools" /> </template>
<script> import JqxToolBar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtoolbar.vue'; export default { components: { JqxToolBar }, data: function () { return { tools: 'button | dropdownlist combobox | input', initTools: function (type, index, tool, menuToolIninitialization) { switch (index) { case 0: tool.text( 'Button'); break; case 1: tool.jqxDropDownList({ width: 130, source: [ 'Affogato', 'Breve', 'Cafe', 'Crema'], selectedIndex: 1 }); break; case 2: tool.jqxComboBox({ width: 50, source: [8, 9, 10, 11, 12, 14, 16, 18, 20], selectedIndex: 3 }); break; case 3: tool.jqxInput({ width: 200, placeHolder: 'Type here...' }); break; } } } }, mounted: function () { this.$refs.myToolBar.refresh();
|

Properties

NameTypeDefault
disabled Boolean false

Sets or gets the disabled property.

import { Component } from "@angular/core";
@Component({
selector: "app-root",
template: `
<jqxToolbar #myToolBar
[width]="700" [height]="35" [tools]="tools" [initTools]="initTools" [disabled]="true">
</jqxToolbar>
`
})
export class AppComponent {
tools: string = 'toggleButton toggleButton toggleButton | toggleButton | dropdownlist combobox | input | custom';
initTools: any = (type: string, index: number, tool: any, menuToolIninitialization: any): void => {
let icon = document.createElement('div');
if (type == "toggleButton") {
icon.className = 'jqx-editor-toolbar-icon jqx-editor-toolbar-icon-arctic buttonIcon ';
}
switch (index) {
case 0:
icon.className += "jqx-editor-toolbar-icon-bold jqx-editor-toolbar-icon-bold-arctic";
icon.setAttribute("title", "Bold");
tool[0].appendChild(icon);
break;
case 1:
icon.className += "jqx-editor-toolbar-icon-italic jqx-editor-toolbar-icon-italic-arctic";
icon.setAttribute("title", "Italic");
tool[0].appendChild(icon);
break;
case 2:
icon.className += "jqx-editor-toolbar-icon-underline jqx-editor-toolbar-icon-underline-arctic";
icon.setAttribute("title", "Underline");
tool[0].appendChild(icon);
break;
case 3:
tool.jqxToggleButton({ width: 80, toggled: true });
tool.text("Enabled");
tool.on("click", () => {
let toggled = tool.jqxToggleButton("toggled");
if (toggled) {
tool.text("Enabled");
} else {
tool.text("Disabled");
}
});
break;
case 4:
tool.jqxDropDownList({ width: 130, source: ["<span style='font-family: Courier New;'>Courier New</span>", "<span style='font-family: Times New Roman;'>Times New Roman</span>", "<span style='font-family: Verdana;'>Verdana</span>"], selectedIndex: 1 });
break;
case 5:
tool.jqxComboBox({ width: 50, source: [8, 9, 10, 11, 12, 14, 16, 18, 20], selectedIndex: 3 });
break;
case 6:
tool.jqxInput({ width: 200, placeHolder: "Type here to search..." });
break;
case 7:
let button = document.createElement('div');
let img = document.createElement('img');
img.src = '../images/administrator.png'
img.title = 'Custom tool';
button.appendChild(img);
tool[0].appendChild(button);
tool.jqxButton({ height: 15 });
break;
}
};
}
height String | Number 35

Sets or gets the height property.

import { Component } from "@angular/core";
@Component({
selector: "app-root",
template: `
<jqxToolbar #myToolBar
[width]="700" [height]="35" [tools]="tools" [initTools]="initTools">
</jqxToolbar>
`
})
export class AppComponent {
tools: string = 'toggleButton toggleButton toggleButton | toggleButton | dropdownlist combobox | input | custom';
initTools: any = (type: string, index: number, tool: any, menuToolIninitialization: any): void => {
let icon = document.createElement('div');
if (type == "toggleButton") {
icon.className = 'jqx-editor-toolbar-icon jqx-editor-toolbar-icon-arctic buttonIcon ';
}
switch (index) {
case 0:
icon.className += "jqx-editor-toolbar-icon-bold jqx-editor-toolbar-icon-bold-arctic";
icon.setAttribute("title", "Bold");
tool[0].appendChild(icon);
break;
case 1:
icon.className += "jqx-editor-toolbar-icon-italic jqx-editor-toolbar-icon-italic-arctic";
icon.setAttribute("title", "Italic");
tool[0].appendChild(icon);
break;
case 2:
icon.className += "jqx-editor-toolbar-icon-underline jqx-editor-toolbar-icon-underline-arctic";
icon.setAttribute("title", "Underline");
tool[0].appendChild(icon);
break;
case 3:
tool.jqxToggleButton({ width: 80, toggled: true });
tool.text("Enabled");
tool.on("click", () => {
let toggled = tool.jqxToggleButton("toggled");
if (toggled) {
tool.text("Enabled");
} else {
tool.text("Disabled");
}
});
break;
case 4:
tool.jqxDropDownList({ width: 130, source: ["<span style='font-family: Courier New;'>Courier New</span>", "<span style='font-family: Times New Roman;'>Times New Roman</span>", "<span style='font-family: Verdana;'>Verdana</span>"], selectedIndex: 1 });
break;
case 5:
tool.jqxComboBox({ width: 50, source: [8, 9, 10, 11, 12, 14, 16, 18, 20], selectedIndex: 3 });
break;
case 6:
tool.jqxInput({ width: 200, placeHolder: "Type here to search..." });
break;
case 7:
let button = document.createElement('div');
let img = document.createElement('img');
img.src = '../images/administrator.png'
img.title = 'Custom tool';
button.appendChild(img);
tool[0].appendChild(button);
tool.jqxButton({ height: 15 });
break;
}
};
}
initTools (type?: String, index?: Number, tool?: Any, menuToolIninitialization?: Boolean) => Void null

Sets or gets the initTools property.

import { Component } from "@angular/core";
@Component({
selector: "app-root",
template: `
<jqxToolbar #myToolBar
[width]="700" [height]="35" [tools]="tools" [initTools]="initTools">
</jqxToolbar>
`
})
export class AppComponent {
tools: string = 'toggleButton toggleButton toggleButton | toggleButton | dropdownlist combobox | input | custom';
initTools: any = (type: string, index: number, tool: any, menuToolIninitialization: any): void => {
let icon = document.createElement('div');
if (type == "toggleButton") {
icon.className = 'jqx-editor-toolbar-icon jqx-editor-toolbar-icon-arctic buttonIcon ';
}
switch (index) {
case 0:
icon.className += "jqx-editor-toolbar-icon-bold jqx-editor-toolbar-icon-bold-arctic";
icon.setAttribute("title", "Bold");
tool[0].appendChild(icon);
break;
case 1:
icon.className += "jqx-editor-toolbar-icon-italic jqx-editor-toolbar-icon-italic-arctic";
icon.setAttribute("title", "Italic");
tool[0].appendChild(icon);
break;
case 2:
icon.className += "jqx-editor-toolbar-icon-underline jqx-editor-toolbar-icon-underline-arctic";
icon.setAttribute("title", "Underline");
tool[0].appendChild(icon);
break;
case 3:
tool.jqxToggleButton({ width: 80, toggled: true });
tool.text("Enabled");
tool.on("click", () => {
let toggled = tool.jqxToggleButton("toggled");
if (toggled) {
tool.text("Enabled");
} else {
tool.text("Disabled");
}
});
break;
case 4:
tool.jqxDropDownList({ width: 130, source: ["<span style='font-family: Courier New;'>Courier New</span>", "<span style='font-family: Times New Roman;'>Times New Roman</span>", "<span style='font-family: Verdana;'>Verdana</span>"], selectedIndex: 1 });
break;
case 5:
tool.jqxComboBox({ width: 50, source: [8, 9, 10, 11, 12, 14, 16, 18, 20], selectedIndex: 3 });
break;
case 6:
tool.jqxInput({ width: 200, placeHolder: "Type here to search..." });
break;
case 7:
let button = document.createElement('div');
let img = document.createElement('img');
img.src = '../images/administrator.png'
img.title = 'Custom tool';
button.appendChild(img);
tool[0].appendChild(button);
tool.jqxButton({ height: 15 });
break;
}
};
}
minimizeWidth Number 200

Sets or gets the minimizeWidth property.

import { Component } from "@angular/core";
@Component({
selector: "app-root",
template: `
<jqxToolbar #myToolBar
[width]="700" [height]="35" [tools]="tools" [initTools]="initTools" [minimizeWidth]="250">
</jqxToolbar>
`
})
export class AppComponent {
tools: string = 'toggleButton toggleButton toggleButton | toggleButton | dropdownlist combobox | input | custom';
initTools: any = (type: string, index: number, tool: any, menuToolIninitialization: any): void => {
let icon = document.createElement('div');
if (type == "toggleButton") {
icon.className = 'jqx-editor-toolbar-icon jqx-editor-toolbar-icon-arctic buttonIcon ';
}
switch (index) {
case 0:
icon.className += "jqx-editor-toolbar-icon-bold jqx-editor-toolbar-icon-bold-arctic";
icon.setAttribute("title", "Bold");
tool[0].appendChild(icon);
break;
case 1:
icon.className += "jqx-editor-toolbar-icon-italic jqx-editor-toolbar-icon-italic-arctic";
icon.setAttribute("title", "Italic");
tool[0].appendChild(icon);
break;
case 2:
icon.className += "jqx-editor-toolbar-icon-underline jqx-editor-toolbar-icon-underline-arctic";
icon.setAttribute("title", "Underline");
tool[0].appendChild(icon);
break;
case 3:
tool.jqxToggleButton({ width: 80, toggled: true });
tool.text("Enabled");
tool.on("click", () => {
let toggled = tool.jqxToggleButton("toggled");
if (toggled) {
tool.text("Enabled");
} else {
tool.text("Disabled");
}
});
break;
case 4:
tool.jqxDropDownList({ width: 130, source: ["<span style='font-family: Courier New;'>Courier New</span>", "<span style='font-family: Times New Roman;'>Times New Roman</span>", "<span style='font-family: Verdana;'>Verdana</span>"], selectedIndex: 1 });
break;
case 5:
tool.jqxComboBox({ width: 50, source: [8, 9, 10, 11, 12, 14, 16, 18, 20], selectedIndex: 3 });
break;
case 6:
tool.jqxInput({ width: 200, placeHolder: "Type here to search..." });
break;
case 7:
let button = document.createElement('div');
let img = document.createElement('img');
img.src = '../images/administrator.png'
img.title = 'Custom tool';
button.appendChild(img);
tool[0].appendChild(button);
tool.jqxButton({ height: 15 });
break;
}
};
}
minWidth String | Number null

Sets or gets the minWidth property.

import { Component } from "@angular/core";
@Component({
selector: "app-root",
template: `
<jqxToolbar #myToolBar
[width]="700" [height]="35" [tools]="tools" [initTools]="initTools" [minWidth]="300">
</jqxToolbar>
`
})
export class AppComponent {
tools: string = 'toggleButton toggleButton toggleButton | toggleButton | dropdownlist combobox | input | custom';
initTools: any = (type: string, index: number, tool: any, menuToolIninitialization: any): void => {
let icon = document.createElement('div');
if (type == "toggleButton") {
icon.className = 'jqx-editor-toolbar-icon jqx-editor-toolbar-icon-arctic buttonIcon ';
}
switch (index) {
case 0:
icon.className += "jqx-editor-toolbar-icon-bold jqx-editor-toolbar-icon-bold-arctic";
icon.setAttribute("title", "Bold");
tool[0].appendChild(icon);
break;
case 1:
icon.className += "jqx-editor-toolbar-icon-italic jqx-editor-toolbar-icon-italic-arctic";
icon.setAttribute("title", "Italic");
tool[0].appendChild(icon);
break;
case 2:
icon.className += "jqx-editor-toolbar-icon-underline jqx-editor-toolbar-icon-underline-arctic";
icon.setAttribute("title", "Underline");
tool[0].appendChild(icon);
break;
case 3:
tool.jqxToggleButton({ width: 80, toggled: true });
tool.text("Enabled");
tool.on("click", () => {
let toggled = tool.jqxToggleButton("toggled");
if (toggled) {
tool.text("Enabled");
} else {
tool.text("Disabled");
}
});
break;
case 4:
tool.jqxDropDownList({ width: 130, source: ["<span style='font-family: Courier New;'>Courier New</span>", "<span style='font-family: Times New Roman;'>Times New Roman</span>", "<span style='font-family: Verdana;'>Verdana</span>"], selectedIndex: 1 });
break;
case 5:
tool.jqxComboBox({ width: 50, source: [8, 9, 10, 11, 12, 14, 16, 18, 20], selectedIndex: 3 });
break;
case 6:
tool.jqxInput({ width: 200, placeHolder: "Type here to search..." });
break;
case 7:
let button = document.createElement('div');
let img = document.createElement('img');
img.src = '../images/administrator.png'
img.title = 'Custom tool';
button.appendChild(img);
tool[0].appendChild(button);
tool.jqxButton({ height: 15 });
break;
}
};
}
maxWidth String | Number null

Sets or gets the maxWidth property.

import { Component } from "@angular/core";
@Component({
selector: "app-root",
template: `
<jqxToolbar #myToolBar
[width]="700" [height]="35" [tools]="tools" [initTools]="initTools" [maxWidth]="1200">
</jqxToolbar>
`
})
export class AppComponent {
tools: string = 'toggleButton toggleButton toggleButton | toggleButton | dropdownlist combobox | input | custom';
initTools: any = (type: string, index: number, tool: any, menuToolIninitialization: any): void => {
let icon = document.createElement('div');
if (type == "toggleButton") {
icon.className = 'jqx-editor-toolbar-icon jqx-editor-toolbar-icon-arctic buttonIcon ';
}
switch (index) {
case 0:
icon.className += "jqx-editor-toolbar-icon-bold jqx-editor-toolbar-icon-bold-arctic";
icon.setAttribute("title", "Bold");
tool[0].appendChild(icon);
break;
case 1:
icon.className += "jqx-editor-toolbar-icon-italic jqx-editor-toolbar-icon-italic-arctic";
icon.setAttribute("title", "Italic");
tool[0].appendChild(icon);
break;
case 2:
icon.className += "jqx-editor-toolbar-icon-underline jqx-editor-toolbar-icon-underline-arctic";
icon.setAttribute("title", "Underline");
tool[0].appendChild(icon);
break;
case 3:
tool.jqxToggleButton({ width: 80, toggled: true });
tool.text("Enabled");
tool.on("click", () => {
let toggled = tool.jqxToggleButton("toggled");
if (toggled) {
tool.text("Enabled");
} else {
tool.text("Disabled");
}
});
break;
case 4:
tool.jqxDropDownList({ width: 130, source: ["<span style='font-family: Courier New;'>Courier New</span>", "<span style='font-family: Times New Roman;'>Times New Roman</span>", "<span style='font-family: Verdana;'>Verdana</span>"], selectedIndex: 1 });
break;
case 5:
tool.jqxComboBox({ width: 50, source: [8, 9, 10, 11, 12, 14, 16, 18, 20], selectedIndex: 3 });
break;
case 6:
tool.jqxInput({ width: 200, placeHolder: "Type here to search..." });
break;
case 7:
let button = document.createElement('div');
let img = document.createElement('img');
img.src = '../images/administrator.png'
img.title = 'Custom tool';
button.appendChild(img);
tool[0].appendChild(button);
tool.jqxButton({ height: 15 });
break;
}
};
}
rtl Boolean false

Sets or gets the rtl property.

import { Component } from "@angular/core";
@Component({
selector: "app-root",
template: `
<jqxToolbar #myToolBar
[width]="700" [height]="35" [tools]="tools" [initTools]="initTools" [rtl]="true">
</jqxToolbar>
`
})
export class AppComponent {
tools: string = 'toggleButton toggleButton toggleButton | toggleButton | dropdownlist combobox | input | custom';
initTools: any = (type: string, index: number, tool: any, menuToolIninitialization: any): void => {
let icon = document.createElement('div');
if (type == "toggleButton") {
icon.className = 'jqx-editor-toolbar-icon jqx-editor-toolbar-icon-arctic buttonIcon ';
}
switch (index) {
case 0:
icon.className += "jqx-editor-toolbar-icon-bold jqx-editor-toolbar-icon-bold-arctic";
icon.setAttribute("title", "Bold");
tool[0].appendChild(icon);
break;
case 1:
icon.className += "jqx-editor-toolbar-icon-italic jqx-editor-toolbar-icon-italic-arctic";
icon.setAttribute("title", "Italic");
tool[0].appendChild(icon);
break;
case 2:
icon.className += "jqx-editor-toolbar-icon-underline jqx-editor-toolbar-icon-underline-arctic";
icon.setAttribute("title", "Underline");
tool[0].appendChild(icon);
break;
case 3:
tool.jqxToggleButton({ width: 80, toggled: true });
tool.text("Enabled");
tool.on("click", () => {
let toggled = tool.jqxToggleButton("toggled");
if (toggled) {
tool.text("Enabled");
} else {
tool.text("Disabled");
}
});
break;
case 4:
tool.jqxDropDownList({ width: 130, source: ["<span style='font-family: Courier New;'>Courier New</span>", "<span style='font-family: Times New Roman;'>Times New Roman</span>", "<span style='font-family: Verdana;'>Verdana</span>"], selectedIndex: 1 });
break;
case 5:
tool.jqxComboBox({ width: 50, source: [8, 9, 10, 11, 12, 14, 16, 18, 20], selectedIndex: 3 });
break;
case 6:
tool.jqxInput({ width: 200, placeHolder: "Type here to search..." });
break;
case 7:
let button = document.createElement('div');
let img = document.createElement('img');
img.src = '../images/administrator.png'
img.title = 'Custom tool';
button.appendChild(img);
tool[0].appendChild(button);
tool.jqxButton({ height: 15 });
break;
}
};
}
tools enum:ToolBarTools ''
enum ToolBarTools {
     button,
     toggleButton,
     dropdownlist,
     combobox,
     input,
     custom
}

Sets or gets the tools property.

import { Component } from "@angular/core";
@Component({
selector: "app-root",
template: `
<jqxToolbar #myToolBar
[width]="700" [height]="35" [tools]="tools" [initTools]="initTools">
</jqxToolbar>
`
})
export class AppComponent {
tools: string = 'toggleButton toggleButton toggleButton | toggleButton | dropdownlist combobox | input | custom';
initTools: any = (type: string, index: number, tool: any, menuToolIninitialization: any): void => {
let icon = document.createElement('div');
if (type == "toggleButton") {
icon.className = 'jqx-editor-toolbar-icon jqx-editor-toolbar-icon-arctic buttonIcon ';
}
switch (index) {
case 0:
icon.className += "jqx-editor-toolbar-icon-bold jqx-editor-toolbar-icon-bold-arctic";
icon.setAttribute("title", "Bold");
tool[0].appendChild(icon);
break;
case 1:
icon.className += "jqx-editor-toolbar-icon-italic jqx-editor-toolbar-icon-italic-arctic";
icon.setAttribute("title", "Italic");
tool[0].appendChild(icon);
break;
case 2:
icon.className += "jqx-editor-toolbar-icon-underline jqx-editor-toolbar-icon-underline-arctic";
icon.setAttribute("title", "Underline");
tool[0].appendChild(icon);
break;
case 3:
tool.jqxToggleButton({ width: 80, toggled: true });
tool.text("Enabled");
tool.on("click", () => {
let toggled = tool.jqxToggleButton("toggled");
if (toggled) {
tool.text("Enabled");
} else {
tool.text("Disabled");
}
});
break;
case 4:
tool.jqxDropDownList({ width: 130, source: ["<span style='font-family: Courier New;'>Courier New</span>", "<span style='font-family: Times New Roman;'>Times New Roman</span>", "<span style='font-family: Verdana;'>Verdana</span>"], selectedIndex: 1 });
break;
case 5:
tool.jqxComboBox({ width: 50, source: [8, 9, 10, 11, 12, 14, 16, 18, 20], selectedIndex: 3 });
break;
case 6:
tool.jqxInput({ width: 200, placeHolder: "Type here to search..." });
break;
case 7:
let button = document.createElement('div');
let img = document.createElement('img');
img.src = '../images/administrator.png'
img.title = 'Custom tool';
button.appendChild(img);
tool[0].appendChild(button);
tool.jqxButton({ height: 15 });
break;
}
};
}
theme String ''

Sets or gets the theme property.

import { Component } from "@angular/core";
@Component({
selector: "app-root",
template: `
<jqxToolbar #myToolBar
[width]="700" [height]="35" [tools]="tools" [initTools]="initTools" [theme]="'energyblue'">
</jqxToolbar>
`
})
export class AppComponent {
tools: string = 'toggleButton toggleButton toggleButton | toggleButton | dropdownlist combobox | input | custom';
initTools: any = (type: string, index: number, tool: any, menuToolIninitialization: any): void => {
let icon = document.createElement('div');
if (type == "toggleButton") {
icon.className = 'jqx-editor-toolbar-icon jqx-editor-toolbar-icon-arctic buttonIcon ';
}
switch (index) {
case 0:
icon.className += "jqx-editor-toolbar-icon-bold jqx-editor-toolbar-icon-bold-arctic";
icon.setAttribute("title", "Bold");
tool[0].appendChild(icon);
break;
case 1:
icon.className += "jqx-editor-toolbar-icon-italic jqx-editor-toolbar-icon-italic-arctic";
icon.setAttribute("title", "Italic");
tool[0].appendChild(icon);
break;
case 2:
icon.className += "jqx-editor-toolbar-icon-underline jqx-editor-toolbar-icon-underline-arctic";
icon.setAttribute("title", "Underline");
tool[0].appendChild(icon);
break;
case 3:
tool.jqxToggleButton({ width: 80, toggled: true });
tool.text("Enabled");
tool.on("click", () => {
let toggled = tool.jqxToggleButton("toggled");
if (toggled) {
tool.text("Enabled");
} else {
tool.text("Disabled");
}
});
break;
case 4:
tool.jqxDropDownList({ width: 130, source: ["<span style='font-family: Courier New;'>Courier New</span>", "<span style='font-family: Times New Roman;'>Times New Roman</span>", "<span style='font-family: Verdana;'>Verdana</span>"], selectedIndex: 1 });
break;
case 5:
tool.jqxComboBox({ width: 50, source: [8, 9, 10, 11, 12, 14, 16, 18, 20], selectedIndex: 3 });
break;
case 6:
tool.jqxInput({ width: 200, placeHolder: "Type here to search..." });
break;
case 7:
let button = document.createElement('div');
let img = document.createElement('img');
img.src = '../images/administrator.png'
img.title = 'Custom tool';
button.appendChild(img);
tool[0].appendChild(button);
tool.jqxButton({ height: 15 });
break;
}
};
}
width String | Number null

Sets or gets the width property.

import { Component } from "@angular/core";
@Component({
selector: "app-root",
template: `
<jqxToolbar #myToolBar
[width]="700" [height]="35" [tools]="tools" [initTools]="initTools">
</jqxToolbar>
`
})
export class AppComponent {
tools: string = 'toggleButton toggleButton toggleButton | toggleButton | dropdownlist combobox | input | custom';
initTools: any = (type: string, index: number, tool: any, menuToolIninitialization: any): void => {
let icon = document.createElement('div');
if (type == "toggleButton") {
icon.className = 'jqx-editor-toolbar-icon jqx-editor-toolbar-icon-arctic buttonIcon ';
}
switch (index) {
case 0:
icon.className += "jqx-editor-toolbar-icon-bold jqx-editor-toolbar-icon-bold-arctic";
icon.setAttribute("title", "Bold");
tool[0].appendChild(icon);
break;
case 1:
icon.className += "jqx-editor-toolbar-icon-italic jqx-editor-toolbar-icon-italic-arctic";
icon.setAttribute("title", "Italic");
tool[0].appendChild(icon);
break;
case 2:
icon.className += "jqx-editor-toolbar-icon-underline jqx-editor-toolbar-icon-underline-arctic";
icon.setAttribute("title", "Underline");
tool[0].appendChild(icon);
break;
case 3:
tool.jqxToggleButton({ width: 80, toggled: true });
tool.text("Enabled");
tool.on("click", () => {
let toggled = tool.jqxToggleButton("toggled");
if (toggled) {
tool.text("Enabled");
} else {
tool.text("Disabled");
}
});
break;
case 4:
tool.jqxDropDownList({ width: 130, source: ["<span style='font-family: Courier New;'>Courier New</span>", "<span style='font-family: Times New Roman;'>Times New Roman</span>", "<span style='font-family: Verdana;'>Verdana</span>"], selectedIndex: 1 });
break;
case 5:
tool.jqxComboBox({ width: 50, source: [8, 9, 10, 11, 12, 14, 16, 18, 20], selectedIndex: 3 });
break;
case 6:
tool.jqxInput({ width: 200, placeHolder: "Type here to search..." });
break;
case 7:
let button = document.createElement('div');
let img = document.createElement('img');
img.src = '../images/administrator.png'
img.title = 'Custom tool';
button.appendChild(img);
tool[0].appendChild(button);
tool.jqxButton({ height: 15 });
break;
}
};
}

Events

close Event

This event is triggered when the minimize pop-up menu is closed.

Code examples

Bind to the close event of jqxToolBar.

import { Component } from "@angular/core";
@Component({
selector: "app-root",
template: `
<jqxToolbar #myToolBar(onClose)="Close($event)"
[width]="700" [height]="35" [tools]="tools" [initTools]="initTools">
</jqxToolbar>
`
})
export class AppComponent {
Close(event: any): void
{
// Do Something
}

tools: string = 'toggleButton toggleButton toggleButton | toggleButton | dropdownlist combobox | input | custom';
initTools: any = (type: string, index: number, tool: any, menuToolIninitialization: any): void => {
let icon = document.createElement('div');
if (type == "toggleButton") {
icon.className = 'jqx-editor-toolbar-icon jqx-editor-toolbar-icon-arctic buttonIcon ';
}
switch (index) {
case 0:
icon.className += "jqx-editor-toolbar-icon-bold jqx-editor-toolbar-icon-bold-arctic";
icon.setAttribute("title", "Bold");
tool[0].appendChild(icon);
break;
case 1:
icon.className += "jqx-editor-toolbar-icon-italic jqx-editor-toolbar-icon-italic-arctic";
icon.setAttribute("title", "Italic");
tool[0].appendChild(icon);
break;
case 2:
icon.className += "jqx-editor-toolbar-icon-underline jqx-editor-toolbar-icon-underline-arctic";
icon.setAttribute("title", "Underline");
tool[0].appendChild(icon);
break;
case 3:
tool.jqxToggleButton({ width: 80, toggled: true });
tool.text("Enabled");
tool.on("click", () => {
let toggled = tool.jqxToggleButton("toggled");
if (toggled) {
tool.text("Enabled");
} else {
tool.text("Disabled");
}
});
break;
case 4:
tool.jqxDropDownList({ width: 130, source: ["<span style='font-family: Courier New;'>Courier New</span>", "<span style='font-family: Times New Roman;'>Times New Roman</span>", "<span style='font-family: Verdana;'>Verdana</span>"], selectedIndex: 1 });
break;
case 5:
tool.jqxComboBox({ width: 50, source: [8, 9, 10, 11, 12, 14, 16, 18, 20], selectedIndex: 3 });
break;
case 6:
tool.jqxInput({ width: 200, placeHolder: "Type here to search..." });
break;
case 7:
let button = document.createElement('div');
let img = document.createElement('img');
img.src = '../images/administrator.png'
img.title = 'Custom tool';
button.appendChild(img);
tool[0].appendChild(button);
tool.jqxButton({ height: 15 });
break;
}
};
}

open Event

This event is triggered when the minimize pop-up menu is opened.

Code examples

Bind to the open event of jqxToolBar.

import { Component } from "@angular/core";
@Component({
selector: "app-root",
template: `
<jqxToolbar #myToolBar(onOpen)="Open($event)"
[width]="700" [height]="35" [tools]="tools" [initTools]="initTools">
</jqxToolbar>
`
})
export class AppComponent {
Open(event: any): void
{
// Do Something
}

tools: string = 'toggleButton toggleButton toggleButton | toggleButton | dropdownlist combobox | input | custom';
initTools: any = (type: string, index: number, tool: any, menuToolIninitialization: any): void => {
let icon = document.createElement('div');
if (type == "toggleButton") {
icon.className = 'jqx-editor-toolbar-icon jqx-editor-toolbar-icon-arctic buttonIcon ';
}
switch (index) {
case 0:
icon.className += "jqx-editor-toolbar-icon-bold jqx-editor-toolbar-icon-bold-arctic";
icon.setAttribute("title", "Bold");
tool[0].appendChild(icon);
break;
case 1:
icon.className += "jqx-editor-toolbar-icon-italic jqx-editor-toolbar-icon-italic-arctic";
icon.setAttribute("title", "Italic");
tool[0].appendChild(icon);
break;
case 2:
icon.className += "jqx-editor-toolbar-icon-underline jqx-editor-toolbar-icon-underline-arctic";
icon.setAttribute("title", "Underline");
tool[0].appendChild(icon);
break;
case 3:
tool.jqxToggleButton({ width: 80, toggled: true });
tool.text("Enabled");
tool.on("click", () => {
let toggled = tool.jqxToggleButton("toggled");
if (toggled) {
tool.text("Enabled");
} else {
tool.text("Disabled");
}
});
break;
case 4:
tool.jqxDropDownList({ width: 130, source: ["<span style='font-family: Courier New;'>Courier New</span>", "<span style='font-family: Times New Roman;'>Times New Roman</span>", "<span style='font-family: Verdana;'>Verdana</span>"], selectedIndex: 1 });
break;
case 5:
tool.jqxComboBox({ width: 50, source: [8, 9, 10, 11, 12, 14, 16, 18, 20], selectedIndex: 3 });
break;
case 6:
tool.jqxInput({ width: 200, placeHolder: "Type here to search..." });
break;
case 7:
let button = document.createElement('div');
let img = document.createElement('img');
img.src = '../images/administrator.png'
img.title = 'Custom tool';
button.appendChild(img);
tool[0].appendChild(button);
tool.jqxButton({ height: 15 });
break;
}
};
}

Methods

NameReturn TypeArguments
addTool Void type: String,
position: String,
separator: Boolean,
menuToolIninitialization: (type?: String, tool?: Any, menuToolIninitialization?: Boolean) => Void
import { Component, ViewChild, AfterViewInit } from "@angular/core";
@Component({
selector: "app-root",
template: `
<jqxToolbar #myToolBar
[width]="700" [height]="35" [tools]="tools" [initTools]="initTools">
</jqxToolbar>
`
})
export class AppComponent implements AfterViewInit {
@ViewChild('myToolBar') myToolBar: jqxToolBarComponent;
ngAfterViewInit(): void
{
this.myToolBar.addTool('button','first','',null);
}

tools: string = 'toggleButton toggleButton toggleButton | toggleButton | dropdownlist combobox | input | custom';
initTools: any = (type: string, index: number, tool: any, menuToolIninitialization: any): void => {
let icon = document.createElement('div');
if (type == "toggleButton") {
icon.className = 'jqx-editor-toolbar-icon jqx-editor-toolbar-icon-arctic buttonIcon ';
}
switch (index) {
case 0:
icon.className += "jqx-editor-toolbar-icon-bold jqx-editor-toolbar-icon-bold-arctic";
icon.setAttribute("title", "Bold");
tool[0].appendChild(icon);
break;
case 1:
icon.className += "jqx-editor-toolbar-icon-italic jqx-editor-toolbar-icon-italic-arctic";
icon.setAttribute("title", "Italic");
tool[0].appendChild(icon);
break;
case 2:
icon.className += "jqx-editor-toolbar-icon-underline jqx-editor-toolbar-icon-underline-arctic";
icon.setAttribute("title", "Underline");
tool[0].appendChild(icon);
break;
case 3:
tool.jqxToggleButton({ width: 80, toggled: true });
tool.text("Enabled");
tool.on("click", () => {
let toggled = tool.jqxToggleButton("toggled");
if (toggled) {
tool.text("Enabled");
} else {
tool.text("Disabled");
}
});
break;
case 4:
tool.jqxDropDownList({ width: 130, source: ["<span style='font-family: Courier New;'>Courier New</span>", "<span style='font-family: Times New Roman;'>Times New Roman</span>", "<span style='font-family: Verdana;'>Verdana</span>"], selectedIndex: 1 });
break;
case 5:
tool.jqxComboBox({ width: 50, source: [8, 9, 10, 11, 12, 14, 16, 18, 20], selectedIndex: 3 });
break;
case 6:
tool.jqxInput({ width: 200, placeHolder: "Type here to search..." });
break;
case 7:
let button = document.createElement('div');
let img = document.createElement('img');
img.src = '../images/administrator.png'
img.title = 'Custom tool';
button.appendChild(img);
tool[0].appendChild(button);
tool.jqxButton({ height: 15 });
break;
}
};
}

disableTool Void index: Number,
disable: Boolean
import { Component, ViewChild, AfterViewInit } from "@angular/core";
@Component({
selector: "app-root",
template: `
<jqxToolbar #myToolBar
[width]="700" [height]="35" [tools]="tools" [initTools]="initTools">
</jqxToolbar>
`
})
export class AppComponent implements AfterViewInit {
@ViewChild('myToolBar') myToolBar: jqxToolBarComponent;
ngAfterViewInit(): void
{
this.myToolBar.disableTool(1,true);
}

tools: string = 'toggleButton toggleButton toggleButton | toggleButton | dropdownlist combobox | input | custom';
initTools: any = (type: string, index: number, tool: any, menuToolIninitialization: any): void => {
let icon = document.createElement('div');
if (type == "toggleButton") {
icon.className = 'jqx-editor-toolbar-icon jqx-editor-toolbar-icon-arctic buttonIcon ';
}
switch (index) {
case 0:
icon.className += "jqx-editor-toolbar-icon-bold jqx-editor-toolbar-icon-bold-arctic";
icon.setAttribute("title", "Bold");
tool[0].appendChild(icon);
break;
case 1:
icon.className += "jqx-editor-toolbar-icon-italic jqx-editor-toolbar-icon-italic-arctic";
icon.setAttribute("title", "Italic");
tool[0].appendChild(icon);
break;
case 2:
icon.className += "jqx-editor-toolbar-icon-underline jqx-editor-toolbar-icon-underline-arctic";
icon.setAttribute("title", "Underline");
tool[0].appendChild(icon);
break;
case 3:
tool.jqxToggleButton({ width: 80, toggled: true });
tool.text("Enabled");
tool.on("click", () => {
let toggled = tool.jqxToggleButton("toggled");
if (toggled) {
tool.text("Enabled");
} else {
tool.text("Disabled");
}
});
break;
case 4:
tool.jqxDropDownList({ width: 130, source: ["<span style='font-family: Courier New;'>Courier New</span>", "<span style='font-family: Times New Roman;'>Times New Roman</span>", "<span style='font-family: Verdana;'>Verdana</span>"], selectedIndex: 1 });
break;
case 5:
tool.jqxComboBox({ width: 50, source: [8, 9, 10, 11, 12, 14, 16, 18, 20], selectedIndex: 3 });
break;
case 6:
tool.jqxInput({ width: 200, placeHolder: "Type here to search..." });
break;
case 7:
let button = document.createElement('div');
let img = document.createElement('img');
img.src = '../images/administrator.png'
img.title = 'Custom tool';
button.appendChild(img);
tool[0].appendChild(button);
tool.jqxButton({ height: 15 });
break;
}
};
}

destroy Void None
import { Component, ViewChild, AfterViewInit } from "@angular/core";
@Component({
selector: "app-root",
template: `
<jqxToolbar #myToolBar
[width]="700" [height]="35" [tools]="tools" [initTools]="initTools">
</jqxToolbar>
`
})
export class AppComponent implements AfterViewInit {
@ViewChild('myToolBar') myToolBar: jqxToolBarComponent;
ngAfterViewInit(): void
{
this.myToolBar.destroy();
}

tools: string = 'toggleButton toggleButton toggleButton | toggleButton | dropdownlist combobox | input | custom';
initTools: any = (type: string, index: number, tool: any, menuToolIninitialization: any): void => {
let icon = document.createElement('div');
if (type == "toggleButton") {
icon.className = 'jqx-editor-toolbar-icon jqx-editor-toolbar-icon-arctic buttonIcon ';
}
switch (index) {
case 0:
icon.className += "jqx-editor-toolbar-icon-bold jqx-editor-toolbar-icon-bold-arctic";
icon.setAttribute("title", "Bold");
tool[0].appendChild(icon);
break;
case 1:
icon.className += "jqx-editor-toolbar-icon-italic jqx-editor-toolbar-icon-italic-arctic";
icon.setAttribute("title", "Italic");
tool[0].appendChild(icon);
break;
case 2:
icon.className += "jqx-editor-toolbar-icon-underline jqx-editor-toolbar-icon-underline-arctic";
icon.setAttribute("title", "Underline");
tool[0].appendChild(icon);
break;
case 3:
tool.jqxToggleButton({ width: 80, toggled: true });
tool.text("Enabled");
tool.on("click", () => {
let toggled = tool.jqxToggleButton("toggled");
if (toggled) {
tool.text("Enabled");
} else {
tool.text("Disabled");
}
});
break;
case 4:
tool.jqxDropDownList({ width: 130, source: ["<span style='font-family: Courier New;'>Courier New</span>", "<span style='font-family: Times New Roman;'>Times New Roman</span>", "<span style='font-family: Verdana;'>Verdana</span>"], selectedIndex: 1 });
break;
case 5:
tool.jqxComboBox({ width: 50, source: [8, 9, 10, 11, 12, 14, 16, 18, 20], selectedIndex: 3 });
break;
case 6:
tool.jqxInput({ width: 200, placeHolder: "Type here to search..." });
break;
case 7:
let button = document.createElement('div');
let img = document.createElement('img');
img.src = '../images/administrator.png'
img.title = 'Custom tool';
button.appendChild(img);
tool[0].appendChild(button);
tool.jqxButton({ height: 15 });
break;
}
};
}

destroyTool Void index: Number
import { Component, ViewChild, AfterViewInit } from "@angular/core";
@Component({
selector: "app-root",
template: `
<jqxToolbar #myToolBar
[width]="700" [height]="35" [tools]="tools" [initTools]="initTools">
</jqxToolbar>
`
})
export class AppComponent implements AfterViewInit {
@ViewChild('myToolBar') myToolBar: jqxToolBarComponent;
ngAfterViewInit(): void
{
this.myToolBar.destroyTool(1);
}

tools: string = 'toggleButton toggleButton toggleButton | toggleButton | dropdownlist combobox | input | custom';
initTools: any = (type: string, index: number, tool: any, menuToolIninitialization: any): void => {
let icon = document.createElement('div');
if (type == "toggleButton") {
icon.className = 'jqx-editor-toolbar-icon jqx-editor-toolbar-icon-arctic buttonIcon ';
}
switch (index) {
case 0:
icon.className += "jqx-editor-toolbar-icon-bold jqx-editor-toolbar-icon-bold-arctic";
icon.setAttribute("title", "Bold");
tool[0].appendChild(icon);
break;
case 1:
icon.className += "jqx-editor-toolbar-icon-italic jqx-editor-toolbar-icon-italic-arctic";
icon.setAttribute("title", "Italic");
tool[0].appendChild(icon);
break;
case 2:
icon.className += "jqx-editor-toolbar-icon-underline jqx-editor-toolbar-icon-underline-arctic";
icon.setAttribute("title", "Underline");
tool[0].appendChild(icon);
break;
case 3:
tool.jqxToggleButton({ width: 80, toggled: true });
tool.text("Enabled");
tool.on("click", () => {
let toggled = tool.jqxToggleButton("toggled");
if (toggled) {
tool.text("Enabled");
} else {
tool.text("Disabled");
}
});
break;
case 4:
tool.jqxDropDownList({ width: 130, source: ["<span style='font-family: Courier New;'>Courier New</span>", "<span style='font-family: Times New Roman;'>Times New Roman</span>", "<span style='font-family: Verdana;'>Verdana</span>"], selectedIndex: 1 });
break;
case 5:
tool.jqxComboBox({ width: 50, source: [8, 9, 10, 11, 12, 14, 16, 18, 20], selectedIndex: 3 });
break;
case 6:
tool.jqxInput({ width: 200, placeHolder: "Type here to search..." });
break;
case 7:
let button = document.createElement('div');
let img = document.createElement('img');
img.src = '../images/administrator.png'
img.title = 'Custom tool';
button.appendChild(img);
tool[0].appendChild(button);
tool.jqxButton({ height: 15 });
break;
}
};
}

getTools Array<ToolBarToolItem> None
interface ToolBarToolItem {
     type?: String;
     tool?: Any;
     separatorAfterWidget?: Boolean;
     minimizable?: Boolean;
     minimized?: Boolean;
     menuTool?: Any;
     menuSeparator?: Any;
}
import { Component, ViewChild, AfterViewInit } from "@angular/core";
@Component({
selector: "app-root",
template: `
<jqxToolbar #myToolBar
[width]="700" [height]="35" [tools]="tools" [initTools]="initTools">
</jqxToolbar>
`
})
export class AppComponent implements AfterViewInit {
@ViewChild('myToolBar') myToolBar: jqxToolBarComponent;
ngAfterViewInit(): void
{
let value = this.myToolBar.getTools();
}

tools: string = 'toggleButton toggleButton toggleButton | toggleButton | dropdownlist combobox | input | custom';
initTools: any = (type: string, index: number, tool: any, menuToolIninitialization: any): void => {
let icon = document.createElement('div');
if (type == "toggleButton") {
icon.className = 'jqx-editor-toolbar-icon jqx-editor-toolbar-icon-arctic buttonIcon ';
}
switch (index) {
case 0:
icon.className += "jqx-editor-toolbar-icon-bold jqx-editor-toolbar-icon-bold-arctic";
icon.setAttribute("title", "Bold");
tool[0].appendChild(icon);
break;
case 1:
icon.className += "jqx-editor-toolbar-icon-italic jqx-editor-toolbar-icon-italic-arctic";
icon.setAttribute("title", "Italic");
tool[0].appendChild(icon);
break;
case 2:
icon.className += "jqx-editor-toolbar-icon-underline jqx-editor-toolbar-icon-underline-arctic";
icon.setAttribute("title", "Underline");
tool[0].appendChild(icon);
break;
case 3:
tool.jqxToggleButton({ width: 80, toggled: true });
tool.text("Enabled");
tool.on("click", () => {
let toggled = tool.jqxToggleButton("toggled");
if (toggled) {
tool.text("Enabled");
} else {
tool.text("Disabled");
}
});
break;
case 4:
tool.jqxDropDownList({ width: 130, source: ["<span style='font-family: Courier New;'>Courier New</span>", "<span style='font-family: Times New Roman;'>Times New Roman</span>", "<span style='font-family: Verdana;'>Verdana</span>"], selectedIndex: 1 });
break;
case 5:
tool.jqxComboBox({ width: 50, source: [8, 9, 10, 11, 12, 14, 16, 18, 20], selectedIndex: 3 });
break;
case 6:
tool.jqxInput({ width: 200, placeHolder: "Type here to search..." });
break;
case 7:
let button = document.createElement('div');
let img = document.createElement('img');
img.src = '../images/administrator.png'
img.title = 'Custom tool';
button.appendChild(img);
tool[0].appendChild(button);
tool.jqxButton({ height: 15 });
break;
}
};
}

render Void None
import { Component, ViewChild, AfterViewInit } from "@angular/core";
@Component({
selector: "app-root",
template: `
<jqxToolbar #myToolBar
[width]="700" [height]="35" [tools]="tools" [initTools]="initTools">
</jqxToolbar>
`
})
export class AppComponent implements AfterViewInit {
@ViewChild('myToolBar') myToolBar: jqxToolBarComponent;
ngAfterViewInit(): void
{
this.myToolBar.render();
}

tools: string = 'toggleButton toggleButton toggleButton | toggleButton | dropdownlist combobox | input | custom';
initTools: any = (type: string, index: number, tool: any, menuToolIninitialization: any): void => {
let icon = document.createElement('div');
if (type == "toggleButton") {
icon.className = 'jqx-editor-toolbar-icon jqx-editor-toolbar-icon-arctic buttonIcon ';
}
switch (index) {
case 0:
icon.className += "jqx-editor-toolbar-icon-bold jqx-editor-toolbar-icon-bold-arctic";
icon.setAttribute("title", "Bold");
tool[0].appendChild(icon);
break;
case 1:
icon.className += "jqx-editor-toolbar-icon-italic jqx-editor-toolbar-icon-italic-arctic";
icon.setAttribute("title", "Italic");
tool[0].appendChild(icon);
break;
case 2:
icon.className += "jqx-editor-toolbar-icon-underline jqx-editor-toolbar-icon-underline-arctic";
icon.setAttribute("title", "Underline");
tool[0].appendChild(icon);
break;
case 3:
tool.jqxToggleButton({ width: 80, toggled: true });
tool.text("Enabled");
tool.on("click", () => {
let toggled = tool.jqxToggleButton("toggled");
if (toggled) {
tool.text("Enabled");
} else {
tool.text("Disabled");
}
});
break;
case 4:
tool.jqxDropDownList({ width: 130, source: ["<span style='font-family: Courier New;'>Courier New</span>", "<span style='font-family: Times New Roman;'>Times New Roman</span>", "<span style='font-family: Verdana;'>Verdana</span>"], selectedIndex: 1 });
break;
case 5:
tool.jqxComboBox({ width: 50, source: [8, 9, 10, 11, 12, 14, 16, 18, 20], selectedIndex: 3 });
break;
case 6:
tool.jqxInput({ width: 200, placeHolder: "Type here to search..." });
break;
case 7:
let button = document.createElement('div');
let img = document.createElement('img');
img.src = '../images/administrator.png'
img.title = 'Custom tool';
button.appendChild(img);
tool[0].appendChild(button);
tool.jqxButton({ height: 15 });
break;
}
};
}

refresh Void None
import { Component, ViewChild, AfterViewInit } from "@angular/core";
@Component({
selector: "app-root",
template: `
<jqxToolbar #myToolBar
[width]="700" [height]="35" [tools]="tools" [initTools]="initTools">
</jqxToolbar>
`
})
export class AppComponent implements AfterViewInit {
@ViewChild('myToolBar') myToolBar: jqxToolBarComponent;
ngAfterViewInit(): void
{
this.myToolBar.refresh();
}

tools: string = 'toggleButton toggleButton toggleButton | toggleButton | dropdownlist combobox | input | custom';
initTools: any = (type: string, index: number, tool: any, menuToolIninitialization: any): void => {
let icon = document.createElement('div');
if (type == "toggleButton") {
icon.className = 'jqx-editor-toolbar-icon jqx-editor-toolbar-icon-arctic buttonIcon ';
}
switch (index) {
case 0:
icon.className += "jqx-editor-toolbar-icon-bold jqx-editor-toolbar-icon-bold-arctic";
icon.setAttribute("title", "Bold");
tool[0].appendChild(icon);
break;
case 1:
icon.className += "jqx-editor-toolbar-icon-italic jqx-editor-toolbar-icon-italic-arctic";
icon.setAttribute("title", "Italic");
tool[0].appendChild(icon);
break;
case 2:
icon.className += "jqx-editor-toolbar-icon-underline jqx-editor-toolbar-icon-underline-arctic";
icon.setAttribute("title", "Underline");
tool[0].appendChild(icon);
break;
case 3:
tool.jqxToggleButton({ width: 80, toggled: true });
tool.text("Enabled");
tool.on("click", () => {
let toggled = tool.jqxToggleButton("toggled");
if (toggled) {
tool.text("Enabled");
} else {
tool.text("Disabled");
}
});
break;
case 4:
tool.jqxDropDownList({ width: 130, source: ["<span style='font-family: Courier New;'>Courier New</span>", "<span style='font-family: Times New Roman;'>Times New Roman</span>", "<span style='font-family: Verdana;'>Verdana</span>"], selectedIndex: 1 });
break;
case 5:
tool.jqxComboBox({ width: 50, source: [8, 9, 10, 11, 12, 14, 16, 18, 20], selectedIndex: 3 });
break;
case 6:
tool.jqxInput({ width: 200, placeHolder: "Type here to search..." });
break;
case 7:
let button = document.createElement('div');
let img = document.createElement('img');
img.src = '../images/administrator.png'
img.title = 'Custom tool';
button.appendChild(img);
tool[0].appendChild(button);
tool.jqxButton({ height: 15 });
break;
}
};
}